## jffnms 0.8.5

=== debian/changelog ===
jffnms (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Updated standards to 3.8.4
  * Updated Swedish debconf po file Closes: #562933

 -- Craig Small <csmall@debian.org>  Sun, 09 May 2010 20:32:21 +1000

jffnms (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Added Spanish debconf po file Closes: #511921
  * Updated Vietnamese debconf po file Closes: #513351
  * Dropping depends on libapache and php4, only apache2 and php5

 -- Craig Small <csmall@debian.org>  Mon, 05 Oct 2009 23:42:46 +1100

jffnms (0.8.3dfsg.1-7) unstable; urgency=low

  * Removed traffic patch Closes: #480393
  * Updated Vietnamese debconf translation Closes: #477290

 -- Craig Small <csmall@debian.org>  Sun, 11 May 2008 15:25:00 +1000

jffnms (0.8.3dfsg.1-6) unstable; urgency=low

  * Updated French debconf translation Closes: #462209
  * Updated Portuguese debconf translation Closes: #462312
  * Updated German debconf translation Closes: #462315
  * Updated Dutch debconf translation Closes: #467468
  * Added Finnish debconf translation Closes: #472530
  * Updated Czech debconf translation Closes: #474707
  * Added Galician debconf translation Closes: #475083
  * Added Russian debconf translation Closes: #475413

 -- Craig Small <csmall@debian.org>  Wed, 16 Apr 2008 15:47:05 +1000

jffnms (0.8.3dfsg.1-5) unstable; urgency=low

  * Fixed cron.daily so it finds the correct location of directories
  * Added Portuguese translation Closes: #435504
  * Changed default font used to one in ttf-dejavu-core Closes: #461278
  * Updated watch file  Closes: #450372
  * Added Dutch PO file Closes: #450989
  * Updated standards version to 3.7.3

 -- Craig Small <csmall@debian.org>  Mon, 21 Jan 2008 18:47:05 +1100

jffnms (0.8.3dfsg.1-4) unstable; urgency=high

  * Security Bug Fix
  *  Removes Javascript and SQL injectection bug which allows authentication
     to be bypassed
  *  Information disclosure files removed
  *  Backdoor authentication files removed

 -- Craig Small <csmall@debian.org>  Mon, 11 Jun 2007 09:29:13 +1000

jffnms (0.8.3dfsg.1-3) unstable; urgency=low

  * Escaped colons in traffic graph Closes: #342841
  * Put jffnms.conf.defaults into /etc Closes: #419551
  * Updated Czech po file Closes: #412734

 -- Craig Small <csmall@debian.org>  Thu, 10 May 2007 08:45:19 +1000

jffnms (0.8.3dfsg.1-2.1) unstable; urgency=low

  * Non-maintainer upload to fix l10n issues
  * Debconf templates translations:
    - French updated. Closes: #400870
    - German added. Closes: #403787

 -- Christian Perrier <bubulle@debian.org>  Sat, 20 Jan 2007 12:11:25 +0100

jffnms (0.8.3dfsg.1-2) unstable; urgency=low

  * Depends on database command line client Closes: #398624

 -- Craig Small <csmall@debian.org>  Mon, 20 Nov 2006 08:35:33 +1100

jffnms (0.8.3dfsg.1-1) unstable; urgency=low

  * Removed font Closes: #393681
  * Package depends on ttf-bitstream-vera for its font.
  * traffic_pl graph fixed with right colours, uses dpatch 
  * Updated Czech debconf translation Closes: #391543
  * Updated French debconf translation Closes: #391874
  * Fixed template errors Closes: #388847

 -- Craig Small <csmall@debian.org>  Sat, 21 Oct 2006 18:58:47 +1000

jffnms (0.8.3-1) unstable; urgency=low

  * New upstream release
  *  Has support for RRDTool 1.2.x Closes: #342841, #374064
  *  SNMP Traps Backend GUI now works Closes: #352607
  *  Upstream has slas_cond and RRDTool fix, so 2 dpatches removed
  * Fixed spelling mistakes in package description Closes: #363986
  * Adjusted control so can depend on PHP5 too. Closes: #385184
  * Provides AIDE checks Closes: #376985
  * Moved jffnms.conf.defaults to conf/ directory under /usr as it should
    never be changed (use jffnms.conf instead)
  * Adjusted cron.daily to use new location of defaults and remove tempengine
    files.
  * Depends on cron, just in case you dont have it installed
  * postrm/config adjusted to fit policy 7.2 Closes: 388224

 -- Craig Small <csmall@debian.org>  Mon, 18 Sep 2006 09:08:54 +1000

jffnms (0.8.2-4) unstable; urgency=low

  * Traffic graphs work with new rrdtool Closes: #342841
  * Now uses dpatch to handle patches
  * Patched database imports as sla_cond.condition borks mysql
  * Change sla condition row so mysql is happy
  * Redirects using https if required for first access Closes: #329359
  * Added Swedish po file Closes: #343738

 -- Craig Small <csmall@debian.org>  Thu,  2 Feb 2006 18:20:49 +1100

jffnms (0.8.2-3) unstable; urgency=low

  * Added dbconfig-common dependency Closes: #334482

 -- Craig Small <csmall@debian.org>  Wed, 19 Oct 2005 06:45:38 +1000

jffnms (0.8.2-2) unstable; urgency=low

  * Changed priority to extra to align with depends
  * cron.daily updated to look at correct conf files Closes: #308588
  * vi.po added Closes: #314250
  * Typo in debconf template, missing "will" Closes: #314250
  * cs.po added Closes: #317574
  * Uses dbconfig-common, much neater database install/upgrading
  * Removed dependency on wwwconfig-common
  * Removed /etc/apache/conf.d directory
  * Pre-Depends changed to debconf-2.0 from debconf Closes: #331871
  * apache.conf has DirectoryIndex and php_value lines
  * Removed symlink to apache until a standard way is worked out

 -- Craig Small <csmall@debian.org>  Tue,  9 Aug 2005 09:50:08 +1000

jffnms (0.8.2-1) unstable; urgency=low

  * New upstream release
  * postinst can handle upgrading postgresql too
  * Added watch file using Rolands funky SF redirector

 -- Craig Small <csmall@debian.org>  Tue, 10 May 2005 12:42:28 +1000

jffnms (0.8.1-2) unstable; urgency=low

  * Fixed typo in postinstall Closes: #303192
  * Fixed typo in description Closes: #300001
  * Updated French debconf template Closes: #298590
  * Upgraded ntp, nmap and fping to Recommends as they are very useful

 -- Craig Small <csmall@debian.org>  Wed,  6 Apr 2005 09:10:54 +1000

jffnms (0.8.1-1) unstable; urgency=low

  * New upstream release, fixes some poller and speed problems


