=== debian/control ===
Source: jffnms
Section: web
Priority: extra
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7.0.0), po-debconf
Standards-Version: 3.8.4
Homepage: http://jffnms.sf.net/

Package: jffnms
Architecture: all
Depends: adduser, cron, libapache2-mod-php5, php5-cli, php5-mysql | php5-pgsql, php5-snmp, rrdtool, php5-gd, apache2 | httpd , dbconfig-common, virtual-mysql-client | mysql-client | postgresql-client, ${misc:Depends}
Recommends: ntp, nmap, fping
Suggests: tac-plus, snmpd, syslog-ng, tftpd, smsclient
Pre-Depends: debconf | debconf-2.0
Description: web-based Network Management System (NMS) for IP networks
 JFFNMS is a Network Management System designed to maintain an IP SNMP, Syslog
 and/or  Tacacs+  Network. It can be used to monitor any standards compliant 
 SNMP device, Server, TCP port or Custom Poller, also it has some Cisco 
 oriented features. 
 .
 Features Summary
  * Written in PHP (works in PHP5)
  * PHP/cron scripts for polling, analizing and consolidating data
  * Database Backend MySQL or PostgreSQL
  * Configurable Event Types and Severity Levels
  * Modular and Extensible
  * Advanced Event Filter
  * Interface & Host/Network Autodiscovery
