=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBROOT=$(CURDIR)/debian/jffnms
JFFNMS_VERSION=0.8.5

configure: 

build: build-stamp

#build-stamp:  patch-stamp
build-stamp:  
	dh_testdir

	# Add here commands to compile the package.
	
	# Generate the SQL updates
	mkdir upgrade
	mkdir upgrade/mysql
	mkdir upgrade/pgsql
	cat  docs/upgrade/*.mysql > upgrade/mysql/$(JFFNMS_VERSION)

	# Past upgrades
	#No updates for 0.8.3 to 0.8.4
	cat debian/upgrade/mysql/jffnms-0.8.2-to-0.8.3.mysql.diff* > upgrade/mysql/0.8.3
	cat debian/upgrade/mysql/jffnms-0.8.1-to-0.8.2.mysql.diff* > upgrade/mysql/0.8.2
	cat debian/upgrade/mysql/jffnms-0.8.0-to-0.8.1.mysql.diff* > upgrade/mysql/0.8.1
	cat debian/upgrade/mysql/jffnms-0.7.9-to-0.8.0.mysql.diff* > upgrade/mysql/0.8.0
	cat debian/upgrade/mysql/jffnms-0.7.8-to-0.7.9.mysql.diff* > upgrade/mysql/0.7.9
	# No 0.7.7 -> 0.7.8
	cat debian/upgrade/mysql/jffnms-0.7.6-to-0.7.7.mysql.diff* > upgrade/mysql/0.7.7
	cat debian/upgrade/mysql/jffnms-0.7.5-to-0.7.6.mysql.diff* > upgrade/mysql/0.7.6
	cat debian/upgrade/mysql/jffnms-0.7.4-to-0.7.5.mysql.diff* > upgrade/mysql/0.7.5
	cat debian/upgrade/mysql/jffnms-0.7.3-to-0.7.4.mysql.diff* > upgrade/mysql/0.7.4
	cat debian/upgrade/mysql/jffnms-0.7.2-to-0.7.3.mysql.diff* > upgrade/mysql/0.7.3

  #
	# Postgresql updates
	cat  docs/upgrade/*.pgsql > upgrade/pgsql/$(JFFNMS_VERSION)
	#No updates for 0.8.3 to 0.8.4
	cat debian/upgrade/pgsql/jffnms-0.8.2-to-0.8.3.pgsql.diff* > upgrade/pgsql/0.8.3
	cat debian/upgrade/pgsql/jffnms-0.8.1-to-0.8.2.pgsql.diff* > upgrade/pgsql/0.8.2
	cat debian/upgrade/pgsql/jffnms-0.8.0-to-0.8.1.pgsql.diff* > upgrade/pgsql/0.8.1
	cat debian/upgrade/pgsql/jffnms-0.7.9-to-0.8.0.pgsql.diff* > upgrade/pgsql/0.8.0
	cat debian/upgrade/pgsql/jffnms-0.7.8-to-0.7.9.pgsql.diff* > upgrade/pgsql/0.7.9
	cat debian/upgrade/pgsql/jffnms-0.7.6-to-0.7.7.pgsql.diff* > upgrade/pgsql/0.7.7
	cat debian/upgrade/pgsql/jffnms-0.7.5-to-0.7.6.pgsql.diff* > upgrade/pgsql/0.7.6
	cat debian/upgrade/pgsql/jffnms-0.7.4-to-0.7.5.pgsql.diff* > upgrade/pgsql/0.7.5
	cat debian/upgrade/pgsql/jffnms-0.7.3-to-0.7.4.pgsql.diff* > upgrade/pgsql/0.7.4
	cat debian/upgrade/pgsql/jffnms-0.7.2-to-0.7.3.pgsql.diff* > upgrade/pgsql/0.7.3

	touch build-stamp

#clean: clean1 unpatch
clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf upgrade
	debconf-updatepo

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/jffnms.
	cp -r engine $(CURDIR)/debian/jffnms/usr/share/jffnms/
	cp -r lib $(CURDIR)/debian/jffnms/usr/share/jffnms/
	cp -r htdocs $(CURDIR)/debian/jffnms/usr/share/jffnms/
	cp conf/*.php $(CURDIR)/debian/jffnms/usr/share/jffnms/conf/
	# Change the paths of the default config must go into /etc
	sed "s%/opt/jffnms\\$$%/usr/share/jffnms/%;s%/opt/jffnms/tftpd%/var/lib/jffnms/tftp%;s%/opt/jffnms/rrd%/var/lib/jffnms/rrd%;s%/opt/jffnms/engine/temp%/var/lib/jffnms/tempengine%;s%/opt/jffnms/logs%/var/log/jffnms/%;s%/opt/jffnms/htdocs/images/temp%/var/lib/jffnms/tempimages%" conf/jffnms.conf.defaults > $(DEBROOT)/etc/jffnms/jffnms.conf.defaults
	# Change temp image directory to /var
	mv $(CURDIR)/debian/jffnms/usr/share/jffnms/htdocs/images/temp \
	   $(CURDIR)/debian/jffnms/var/lib/jffnms/tempimages
	mv $(CURDIR)/debian/jffnms/usr/share/jffnms/engine/temp \
	   $(CURDIR)/debian/jffnms/var/lib/jffnms/tempengine
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/tftp/.check
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/rrd/.check
	touch $(CURDIR)/debian/jffnms/var/log/jffnms/.check
	cp debian/apache.conf $(CURDIR)/debian/jffnms/etc/jffnms
	cp debian/31_jffnms_var $(DEBROOT)/etc/aide/aide.conf.d/
	cp debian/lintian $(DEBROOT)/usr/share/lintian/overrides/jffnms

	# dbconfig-common stuff
	cp docs/install/jffnms-$(JFFNMS_VERSION).pgsql $(DEBROOT)/usr/share/dbconfig-common/data/jffnms/install/pgsql
	/bin/grep -v '^DROP TABLE IF EXISTS' docs/install/jffnms-$(JFFNMS_VERSION).mysql > $(DEBROOT)/usr/share/dbconfig-common/data/jffnms/install/mysql
	cp -r upgrade $(DEBROOT)/usr/share/dbconfig-common/data/jffnms/


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# We have nothing to do

# And now the simple things for dpatch. Here we only apply/unapply the patches.
# # You can do more things with dpatch, like having patches only applied on
# # a special architecture - see the non-dh version of the sample for this!
patch: patch-stamp
patch-stamp:
	dpatch apply-all
#	dpatch call-all -a=pkg-info >patch-stamp
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

binary: binary-indep
.PHONY: build clean binary-arch binary-indep binary install configure
