## jffnms 0.9.2

=== debian/changelog ===
jffnms (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Works with php 5.4 Closes: #658869
  * cron job checks for directories Closes: #633985
  * update to debhelper compat 9
  * update to standards 3.9.2
  * don't directly depend on libapache2-mod-php5 closes: #658885
  * Added Danish translation of debconf templates Closes: #658939

 -- Craig Small <csmall@debian.org>  Sun, 04 Mar 2012 16:10:54 +1100

jffnms (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Sun, 05 Jun 2011 22:47:24 +1000

jffnms (0.9.0-1) unstable; urgency=low

  * New upstream release
  * cron job checks for existing directories Closes: #582520

 -- Craig Small <csmall@debian.org>  Sat, 21 May 2011 23:04:53 +1000
