=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: web
 Priority: extra
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 7.0.0), po-debconf
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9.0.0), po-debconf
+Standards-Version: 3.9.2
 Homepage: http://jffnms.sf.net/
 
 Package: jffnms
 Architecture: all
-Depends: adduser, cron, libapache2-mod-php5, php5-cli, php5-mysql | php5-pgsql, php5-snmp, rrdtool, php5-gd, apache2 | httpd , dbconfig-common, virtual-mysql-client | mysql-client | postgresql-client, ${misc:Depends}
+Depends: adduser, cron, libapache2-mod-php5 | php5, php5-cli, php5-mysql | php5-pgsql, php5-snmp, rrdtool, php5-gd, apache2 | httpd , dbconfig-common, virtual-mysql-client | mysql-client | postgresql-client, ${misc:Depends}
 Recommends: ntp, nmap, fping
 Suggests: tac-plus, snmpd, syslog-ng, tftpd, smsclient
 Pre-Depends: debconf | debconf-2.0
