=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for making JFFNMS packages
#
#
DEBROOT=$(CURDIR)/debian/jffnms
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf upgrade

override_dh_auto_build:
	# Generate the SQL updates
	mkdir upgrade
	mkdir upgrade/mysql
	mkdir upgrade/pgsql

	# Past upgrades
	# # No 0.9.1 -> 0.9.2
	cat debian/upgrade/mysql/jffnms-0.9.0-to-0.9.1.mysql > upgrade/mysql/0.9.1
	cat debian/upgrade/mysql/jffnms-0.8.5-to-0.9.0.mysql > upgrade/mysql/0.9.0
	cat debian/upgrade/mysql/jffnms-0.8.4-to-0.8.5.mysql > upgrade/mysql/0.8.5
	cat debian/upgrade/mysql/jffnms-0.8.2-to-0.8.3.mysql.diff* > upgrade/mysql/0.8.3
	cat debian/upgrade/mysql/jffnms-0.8.1-to-0.8.2.mysql.diff* > upgrade/mysql/0.8.2
	cat debian/upgrade/mysql/jffnms-0.8.0-to-0.8.1.mysql.diff* > upgrade/mysql/0.8.1
	cat debian/upgrade/mysql/jffnms-0.7.9-to-0.8.0.mysql.diff* > upgrade/mysql/0.8.0
	cat debian/upgrade/mysql/jffnms-0.7.8-to-0.7.9.mysql.diff* > upgrade/mysql/0.7.9
	# No 0.7.7 -> 0.7.8
	cat debian/upgrade/mysql/jffnms-0.7.6-to-0.7.7.mysql.diff* > upgrade/mysql/0.7.7
	cat debian/upgrade/mysql/jffnms-0.7.5-to-0.7.6.mysql.diff* > upgrade/mysql/0.7.6
	cat debian/upgrade/mysql/jffnms-0.7.4-to-0.7.5.mysql.diff* > upgrade/mysql/0.7.5
	cat debian/upgrade/mysql/jffnms-0.7.3-to-0.7.4.mysql.diff* > upgrade/mysql/0.7.4
	cat debian/upgrade/mysql/jffnms-0.7.2-to-0.7.3.mysql.diff* > upgrade/mysql/0.7.3

	cat debian/upgrade/pgsql/jffnms-0.9.0-to-0.9.1.pgsql > upgrade/pgsql/0.9.1
	cat debian/upgrade/pgsql/jffnms-0.8.5-to-0.9.0.pgsql > upgrade/pgsql/0.9.0
	cat debian/upgrade/pgsql/jffnms-0.8.4-to-0.8.5.pgsql > upgrade/pgsql/0.8.5
	cat debian/upgrade/pgsql/jffnms-0.8.2-to-0.8.3.pgsql.diff* > upgrade/pgsql/0.8.3
	cat debian/upgrade/pgsql/jffnms-0.8.1-to-0.8.2.pgsql.diff* > upgrade/pgsql/0.8.2
	cat debian/upgrade/pgsql/jffnms-0.8.0-to-0.8.1.pgsql.diff* > upgrade/pgsql/0.8.1
	cat debian/upgrade/pgsql/jffnms-0.7.9-to-0.8.0.pgsql.diff* > upgrade/pgsql/0.8.0
	cat debian/upgrade/pgsql/jffnms-0.7.8-to-0.7.9.pgsql.diff* > upgrade/pgsql/0.7.9
	cat debian/upgrade/pgsql/jffnms-0.7.6-to-0.7.7.pgsql.diff* > upgrade/pgsql/0.7.7
	cat debian/upgrade/pgsql/jffnms-0.7.5-to-0.7.6.pgsql.diff* > upgrade/pgsql/0.7.6
	cat debian/upgrade/pgsql/jffnms-0.7.4-to-0.7.5.pgsql.diff* > upgrade/pgsql/0.7.5
	cat debian/upgrade/pgsql/jffnms-0.7.3-to-0.7.4.pgsql.diff* > upgrade/pgsql/0.7.4
	cat debian/upgrade/pgsql/jffnms-0.7.2-to-0.7.3.pgsql.diff* > upgrade/pgsql/0.7.3

override_dh_auto_install:
	dh_auto_install
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/tempimages/.check
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/tempengine/.check
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/tftp/.check
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/tftp/.check
	touch $(CURDIR)/debian/jffnms/var/lib/jffnms/rrd/.check
	touch $(CURDIR)/debian/jffnms/var/log/jffnms/.check
	# Change the paths of the default config must go into /etc
	sed "s%/opt/jffnms\\$$%/usr/share/jffnms/%;s%/opt/jffnms/tftpd%/var/lib/jffnms/tftp%;s%/opt/jffnms/rrd%/var/lib/jffnms/rrd%;s%/opt/jffnms/engine/temp%/var/lib/jffnms/tempengine%;s%/opt/jffnms/logs%/var/log/jffnms/%;s%/opt/jffnms/htdocs/images/temp%/var/lib/jffnms/tempimages%" conf/jffnms.conf.defaults > $(DEBROOT)/etc/jffnms/jffnms.conf.defaults
	/bin/grep -v '^DROP TABLE IF EXISTS' docs/install/jffnms-*.mysql > $(DEBROOT)/usr/share/dbconfig-common/data/jffnms/install/mysql
	cp docs/install/jffnms-*.pgsql $(DEBROOT)/usr/share/dbconfig-common/data/jffnms/install/pgsql

override_dh_install:
	dh_install
	rm $(DEBROOT)/usr/share/jffnms/engine/temp/.check
	rm $(DEBROOT)/usr/share/jffnms/htdocs/images/temp/.check
