## jffnms 0.9.3

=== debian/changelog ===
jffnms (0.9.3-3) unstable; urgency=low

  * Review templates and package description by the debian-l10n-english team,
    thanks to Justin B Rye Closes: #686188

  [ Debconf translations ]
  * Slovak, Slavko Closes: #687105
  * Portuguese, Américo Monteiro Closes: #687115
  * Russian, Yuri Kozlov Closes: #687187
  * Czech, Martin Šín Closes: #687259
  * Polish, Michał Kułach Closes: #687547
  * German, Chris Leick Closes: #687568
  * Italian, Beatrice Torracca Closes: #687774
  * French, Christian Perrier Closes: #687917
  * Danish, Joe Hansen Closes: #687987
  * Japanese, victory
  * Vietnamese, Nguyễn Vũ Hưng
  * Swedish, Martin Bagge Closes: #688420
  * Spanish, Omar Campagne Closes: #688592

  [ Craig Small ]
  * Fixed debhelper versioned build dependency
  * Rearrange dependencies on mysql-client

 -- Craig Small <csmall@debian.org>  Wed, 31 Oct 2012 22:19:56 +1100

jffnms (0.9.3-2) unstable; urgency=low

  * Fixed db upgrade scripts Closes: #675279

 -- Craig Small <csmall@debian.org>  Mon, 11 Jun 2012 16:17:07 +1000

jffnms (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Adjusted configurations for new apache standard Closes: #669853
  * Removed orphan files Closes: #672385
  * Generate valid DB config
  * Fixup default config files Closes: #655654

 -- Craig Small <csmall@debian.org>  Sun, 27 May 2012 17:25:29 +1000
