=== debian/control ===
Source: jffnms
Section: web
Priority: optional
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 9), po-debconf
Standards-Version: 3.9.3
Homepage: http://jffnms.sf.net/

Package: jffnms
Architecture: all
Depends: adduser, cron, rrdtool,
         apache2 | httpd , dbconfig-common,
         libapache2-mod-php5 | php5-cgi | php5-fpm,
         php5-cli, php5-mysql | php5-pgsql, php5-snmp, php5-gd,
         mysql-client | virtual-mysql-client | postgresql-client, ${misc:Depends}
Recommends: ntp, nmap, fping
Suggests: tac-plus, snmpd, syslog-ng, tftpd, smsclient
Pre-Depends: debconf | debconf-2.0
Description: PHP Network Management System
 JFFNMS is a Network Management System designed to help maintain a network
 running SNMP, syslog, and/or TACACS+. It can monitor any standards-compliant
 SNMP device, server, TCP port or custom poller, and also has some
 Cisco-oriented features.
 .
 Its features include:
  * written in PHP;
  * PHP/cron scripts for polling, analyzing, and consolidating data;
  * MySQL or PostgreSQL database back-end;
  * configurable event types and severity levels;
  * modular and extensible;
  * advanced event filter;
  * interface, host, and network autodiscovery.
