=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 	mkdir upgrade/pgsql
 
 	# Past upgrades
+	cat docs/upgrade/jffnms-0.9.2-to-0.9.3.mysql > upgrade/mysql/0.9.3
+	cat docs/upgrade/jffnms-0.9.2-to-0.9.3.pgsql > upgrade/pgsql/0.9.3
 	# # No 0.9.1 -> 0.9.2
 	cat debian/upgrade/mysql/jffnms-0.9.0-to-0.9.1.mysql > upgrade/mysql/0.9.1
 	cat debian/upgrade/mysql/jffnms-0.8.5-to-0.9.0.mysql > upgrade/mysql/0.9.0
