=== debian/watch ===
version=3


# Use the special sf.net url
opts=uversionmangle=s/$/dfsg.1/ \
  http://sf.net/jffnms/jffnms-([0-9.]+)\.tar\.gz
